## mxml 4.0.4

=== linux/Makefile ===
#
# Linux makefile for Mini-XML, a small XML-like file parsing library.
#
# https://www.msweet.org/mxml
#
# Copyright © 2003-2024 by Michael R Sweet.
#
# Licensed under Apache License v2.0.  See the file "LICENSE" for more
# information.
#

#
# This is a POSIX makefile
#

.POSIX:


#
# Mini-XML version...
#

MXML_VERSION	=	4.0.4


#
# Programs...
#

AR		=	/usr/bin/ar
CC		=	gcc
DSO		=	$(CC)
INSTALL		=	/home/mike/c/mxml/install-sh
LN		=	/usr/bin/ln -sf
MKDIR           =       /usr/bin/mkdir -p
RANLIB		=	ranlib
RM		=	/usr/bin/rm -f
RMDIR		=	/usr/bin/rmdir
SHELL		=	/bin/sh


#
# Installation programs...
#

INSTALL_BIN	=	$(INSTALL) -c -m 755
INSTALL_DATA	=	$(INSTALL) -c -m 444
INSTALL_DIR	=	$(INSTALL) -d -m 755
INSTALL_LIB	=	$(INSTALL) -c -m 755
INSTALL_MAN	=	$(INSTALL) -c -m 444


#
# Libraries...
#

LIBMXML		=	libmxml4.so.2
LIBMXML_BASE	=	libmxml4
LIBMXML_STATIC	=	libmxml4.a
MXML_MAN	=	mxml4.3
MXML_PC		=	mxml4.pc


#
# Install static libraries?
#

INSTALL_STATIC	=	install-libmxml4.a


#
# Code signing...
#

CODE_SIGN	=	/usr/bin/true
CODESIGN_IDENTITY =	-
CSFLAGS		=	-s "$(CODESIGN_IDENTITY)" -o runtime --timestamp


#
# Library archiver...
#

ARFLAGS		=	cr


#
# C compiler and preprocessor...
#

CFLAGS		=	-fPIC  $(CPPFLAGS) $(OPTIM) $(WARNINGS)
CPPFLAGS	=	 -D_THREAD_SAFE -D_REENTRANT -D_FORTIFY_SOURCE=3 -D__USE_MISC -D_GNU_SOURCE
WARNINGS	=	-Wall -Wunused -Wno-char-subscripts -Wno-deprecated-declarations -Wno-format-truncation -Wno-format-y2k -Wno-switch -Wno-unused-result


#
# Linker options...
#

DSOFLAGS	=	 -Wl,-soname,`basename $@` -shared $(OPTIM)
LDFLAGS		=	-fPIE -pie  -Wl,-z,relro,-z,now $(OPTIM)
LIBS		=	-lpthread  -lm


#
# Optimization and architecture options for both the compiler and linker.
#

OPTIM		=	 -g -Os


#
# Directories...
#

bindir		=	${exec_prefix}/bin
datadir		=	${datarootdir}
datarootdir	=	${prefix}/share
docdir		=	${prefix}/share/doc/mxml4
exec_prefix	=	${prefix}
includedir	=	${prefix}/include/libmxml4
infodir		=	${datarootdir}/info
libdir		=	${exec_prefix}/lib
libexecdir	=	${exec_prefix}/libexec
localstatedir	=	${prefix}/var
mandir		=	${datarootdir}/man
oldincludedir	=	/usr/include
prefix		=	/usr/local
sbindir		=	${exec_prefix}/sbin
sharedstatedir	=	${prefix}/com
srcdir		=	.
sysconfdir	=	${prefix}/etc
top_srcdir	=	.

BUILDROOT	=	$(DSTROOT)$(DESTDIR)


#
# Silent build...
#

.SILENT:


#
# Targets...
#

DOCFILES	=	doc/mxml.epub doc/mxml.html doc/mxml-cover.png \
			CHANGES.md LICENSE NOTICE README.md
PUBLIBOBJS	=	mxml-attr.o mxml-file.o mxml-get.o mxml-index.o \
			mxml-node.o mxml-options.o mxml-search.o mxml-set.o
LIBOBJS		=	$(PUBLIBOBJS) mxml-private.o
OBJS		=	testmxml.o $(LIBOBJS)
ALLTARGETS	=	$(LIBMXML) testmxml
CROSSTARGETS	=	$(LIBMXML)
TARGETS		=	$(ALLTARGETS)


#
# Make everything...
#

all:		$(TARGETS)


#
# Clean everything...
#

clean:
	echo Cleaning build files...
	$(RM) $(OBJS) $(ALLTARGETS)
	$(RM) libmxml4.a
	$(RM) libmxml4.so
	$(RM) libmxml4.so.2


#
# Really clean everything...
#

distclean:	clean
	echo Cleaning distribution files...
	$(RM) test.xmlfd
	$(RM) temp1.xml temp1.xmlfd temp1s.xml
	$(RM) temp2.xml temp2s.xml
	$(RM) -r clang


#
# Install everything...
#

.NOTPARALLEL: install install-$(LIBMXML) $(INSTALL_STATIC)

install:	$(TARGETS) install-$(LIBMXML) $(INSTALL_STATIC)
	echo Installing documentation in $(BUILDROOT)$(docdir)...
	$(INSTALL_DIR) $(BUILDROOT)$(docdir)
	for file in $(DOCFILES); do \
		$(INSTALL_MAN) ../$$file $(BUILDROOT)$(docdir)/`basename $$file .md`; \
	done
	echo Installing header files in $(BUILDROOT)$(includedir)...
	$(INSTALL_DIR) $(BUILDROOT)$(includedir)
	$(INSTALL_DATA) ../mxml.h $(BUILDROOT)$(includedir)
	echo Installing pkgconfig files in $(BUILDROOT)$(libdir)/pkgconfig...
	$(INSTALL_DIR) $(BUILDROOT)$(libdir)/pkgconfig
	$(INSTALL_DATA) mxml4.pc $(BUILDROOT)$(libdir)/pkgconfig/$(MXML_PC)
	echo Installing man pages in $(BUILDROOT)$(mandir)...
	$(INSTALL_DIR) $(BUILDROOT)$(mandir)/man3
	$(INSTALL_MAN) ../doc/mxml.3 $(BUILDROOT)$(mandir)/man3/$(MXML_MAN)

install-libmxml.a:	libmxml.a
	echo Installing libmxml.a to $(BUILDROOT)$(libdir)...
	$(INSTALL_DIR) $(BUILDROOT)$(libdir)
	$(INSTALL_LIB) libmxml.a $(BUILDROOT)$(libdir)
	$(RANLIB) $(BUILDROOT)$(libdir)/libmxml.a

install-libmxml.so.2:	libmxml.so.2
	echo Installing libmxml.so to $(BUILDROOT)$(libdir)...
	$(INSTALL_DIR) $(BUILDROOT)$(libdir)
	$(INSTALL_LIB) libmxml.so.2 $(BUILDROOT)$(libdir)
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so
	$(LN) libmxml.so.2 $(BUILDROOT)$(libdir)/libmxml.so
	$(LDCONFIG)

install-libmxml4.a:	libmxml4.a
	echo Installing libmxml4.a to $(BUILDROOT)$(libdir)...
	$(INSTALL_DIR) $(BUILDROOT)$(libdir)
	$(INSTALL_LIB) libmxml4.a $(BUILDROOT)$(libdir)
	$(RANLIB) $(BUILDROOT)$(libdir)/libmxml4.a

install-libmxml4.so.2:	libmxml4.so.2
	echo Installing libmxml4.so to $(BUILDROOT)$(libdir)...
	$(INSTALL_DIR) $(BUILDROOT)$(libdir)
	$(INSTALL_LIB) libmxml4.so.2 $(BUILDROOT)$(libdir)
	$(RM) $(BUILDROOT)$(libdir)/libmxml4.so
	$(LN) libmxml4.so.2 $(BUILDROOT)$(libdir)/libmxml4.so
	$(LDCONFIG)


#
# Uninstall everything...
#

uninstall: uninstall-$(LIBMXML) uninstall-libmxml4.a
	echo Uninstalling documentation from $(BUILDROOT)$(docdir)...
	$(RM) -r $(BUILDROOT)$(docdir)
	echo Uninstalling headers from $(BUILDROOT)$(includedir)...
	$(RM) $(BUILDROOT)$(includedir)/mxml.h
	echo Uninstalling pkgconfig files from $(BUILDROOT)$(libdir)/pkgconfig...
	$(RM) $(BUILDROOT)$(libdir)/pkgconfig/$(MXML_PC)
	echo Uninstalling man pages from $(BUILDROOT)$(mandir)...
	$(RM) $(BUILDROOT)$(mandir)/man3/$(MXML_MAN)

uninstall-libmxml.a:
	echo Uninstalling libmxml.a from $(BUILDROOT)$(libdir)...
	$(RM) $(BUILDROOT)$(libdir)/libmxml.a

uninstall-libmxml.so.2:
	echo Uninstalling libmxml.so from $(BUILDROOT)$(libdir)...
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so
	$(RM) $(BUILDROOT)$(libdir)/libmxml.so.2
	$(LDCONFIG)

uninstall-libmxml4.a:
	echo Uninstalling libmxml4.a from $(BUILDROOT)$(libdir)...
	$(RM) $(BUILDROOT)$(libdir)/libmxml4.a

uninstall-libmxml4.so.2:
	echo Uninstalling libmxml4.so from $(BUILDROOT)$(libdir)...
	$(RM) $(BUILDROOT)$(libdir)/libmxml4.so
	$(RM) $(BUILDROOT)$(libdir)/libmxml4.so.2
	$(LDCONFIG)


#
# Test everything...
#

test:	testmxml
	@echo Testing library...
	./testmxml ../test.xml temp1s.xml >temp1.xml
	./testmxml temp1.xml temp2s.xml >temp2.xml
	@if cmp temp1.xml temp2.xml; then \
		echo Stdio file test passed!; \
		$(RM) temp2.xml temp2s.xml; \
	else \
		echo Stdio file test failed!; \
		exit 1; \
	fi
	@if cmp temp1.xml temp1s.xml; then \
		echo String test passed!; \
		$(RM) temp1.xml temp1s.xml; \
	else \
		echo String test failed!; \
		exit 1; \
	fi
	@if cmp ../test.xml ../test.xmlfd; then \
		echo File descriptor test passed!; \
		$(RM) test.xmlfd temp1.xmlfd; \
	else \
		echo File descriptor test failed!; \
		exit 1; \
	fi


#
# libmxml.a
#

libmxml.a libmxml4.a:	$(LIBOBJS)
	echo Creating $@...
	$(RM) $@
	$(AR) $(ARFLAGS) $@ $(LIBOBJS)
	$(RANLIB) $@


#
# libmxml.so.2
#

libmxml.so.2 libmxml4.so.2:	$(LIBOBJS)
	echo Creating $@...
	$(DSO) $(DSOFLAGS) -o $@ $(LIBOBJS) $(LIBS)
	$(RM) `basename $@ .2`
	$(LN) $@ `basename $@ .2`


#
# testmxml
#

testmxml:	$(LIBMXML_STATIC) testmxml.o
	echo Linking $@...
	$(CC) $(LDFLAGS) -o $@ testmxml.o $(LIBMXML_STATIC) $(LIBS)


#
# Documentation (depends on separate codedoc utility)
#

.PHONY: doc
doc:	../mxml.h $(PUBLIBOBJS:.o=.c) \
		../doc/body.md ../doc/body.man ../doc/footer.man \
		../doc/mxml-cover.png
	echo Generating API documentation...
	$(RM) mxml.xml
	codedoc --body ../doc/body.md \
		--coverimage ../doc/mxml-cover.png \
		mxml.xml mxml.h $(PUBLIBOBJS:.o=.c) >../doc/mxml.html
	codedoc --body ../doc/body.md \
		--coverimage ../doc/mxml-cover.png \
		--epub ../doc/mxml.epub mxml.xml
	codedoc --man mxml --title "Mini-XML API" \
		--body ../doc/body.man --footer ../doc/footer.man \
		mxml.xml >../doc/mxml.3
	$(RM) mxml.xml


#
# All object files depend on the makefile and config header...
#

mxml-attr.o: ../mxml-attr.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
mxml-file.o: ../mxml-file.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
mxml-get.o: ../mxml-get.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
mxml-index.o: ../mxml-index.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
mxml-node.o: ../mxml-node.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
mxml-options.o: ../mxml-options.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
mxml-private.o: ../mxml-private.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
mxml-search.o: ../mxml-search.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
mxml-set.o: ../mxml-set.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<
testmxml.o: ../testmxml.c ../mxml.h ../mxml-private.h Makefile config.h
	echo Compiling $<
	$(CC) $(CFLAGS) -c -o $@ $<

## mxml 2.6

=== debian/changelog ===
mxml (2.6-2+deb8u1) jessie-security; urgency=medium

  * Non-maintainer upload by the Debian LTS Team.
  * Fix CVE-2016-4570, CVE-2016-4571 (Closes: #825855) 
    CVE-2018-20004 (Closes: #918007)

 -- Abhijith PA <abhijith@debian.org>  Fri, 25 Jan 2019 12:50:32 +0530

mxml (2.6-2) unstable; urgency=low

  * debian/control
    - Bump Standards-Version: 3.9.1 (No changes)
    - Add ${misc:Depends} to Depends
  * debian/copyright
    - Fix the symlink to LGPL-2
  * debian/rules
    - Install fixed manpage. Makes lintian happy
  * Switch to dpkg-source 3.0 (quilt) format
  * Remove lintian overrides since we generate the symbols control file

 -- Luis Uribe <acme@eviled.org>  Sat, 16 Oct 2010 20:14:04 -0500

mxml (2.6-1) unstable; urgency=low

  * New upstream release (Closes: #530379).
  * patches/series
    - Remove debian/patches/03_mispell_mxml (Fix included in upstream source)
    - Add description to quilt patches
  * debian/control
    - Remove duplicate Section: on libmxml1 (Makes lintian happy)
  * Conforms with latest Standards Version 3.8.3

 -- Luis Uribe <acme@eviled.org>  Sat, 31 Oct 2009 16:23:28 -0500

mxml (2.5-2) unstable; urgency=low

  * patches/series
    - Add debian/patches/03_mispell_mxml.pc.diff (Fixed in upstream svn)

 -- Luis Uribe <acme@eviled.org>  Tue, 24 Jun 2008 01:09:30 -0500

mxml (2.5-1) unstable; urgency=low

  * New upstream release
  * patches/series
    - Remove 02_remove_minus.diff patch
    - Add 02_link_with_pthread.diff to link mxml with pthread (Closes: #467555).
      Thanks to Gonéri Le Bouder <goneri@rulezlan.org>
  * debian/control
    - Adding ${shlibs:Depends} to Depends:

 -- Luis Uribe <acme@eviled.org>  Sun, 06 Apr 2008 22:41:06 -0500

mxml (2.4-1) unstable; urgency=low

  * New upstream release. (Closes: #460318). Thanks to Sam Morris
  * Fix loading zynaddsubfx's XML files. (Closes: #442416).
  * New maintainer. (Closes: #391132)
  * debian/control:
    - Update the homepage
    - Include part of the libmxml1 description into the libmxml-dev
    description
  * debian/watch
    - Add file
  * Conforms with latest Standards Version 3.7.3

 -- Luis Uribe <acme@eviled.org>  Tue, 15 Jan 2008 21:13:50 -0500

mxml (2.3-1) unstable; urgency=low

  * QA upload.
  * New upstream release.
  * Add patch to remove rpath.
  * Bump compat to 5.
  * Update control:
    * Bump debhelper build-depends to 5.
    * Add quilt build-depends.
    * Rewrite short and long descriptions.
  * Rewrite copyright. Mini-XML library is licensed under LGPL with
    2 exceptions.
  * Remove dirs, links, shlibs, manpages and README.Debian files.
  * Update libmxml-dev.* files.
  * Clean up rules file.

 -- Fathi Boudra <fboudra@free.fr>  Sun, 19 Aug 2007 14:52:14 +0200

mxml (2.2-2) unstable; urgency=low

  * QA upload.
  * Set maintainer to QA Group; Orphaned: #391132
  * Correct package description (Closes: #314481)
  * Conforms with latest Standards Version 3.7.2

 -- Michael Ablassmeier <abi@debian.org>  Mon, 16 Oct 2006 08:48:01 +0200

mxml (2.2-1) unstable; urgency=low

  * New upstream release (closes: #287839)

 -- Eduardo Marcel Macan <macan@debian.org>  Sun,  6 Mar 2005 09:24:51 -0300

mxml (2.1-1) unstable; urgency=low

  * Initial Release.

 -- Eduardo Marcel Macan <macan@debian.org>  Tue, 28 Dec 2004 16:28:45 -0200

=== debian/control ===
Source: mxml
Priority: optional
Maintainer: Luis Uribe <acme@eviled.org>
Build-Depends: debhelper (>= 5), quilt
Standards-Version: 3.9.1
Section: libs
Homepage: http://www.minixml.org/

Package: libmxml-dev
Section: libdevel
Architecture: any
Depends: libmxml1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
Description: small XML parsing library (development)
 Mini-XML is a small XML parsing library that you can use to read XML and
 XML-like data files in your application without requiring large non-standard
 libraries.
 .
 Mini-XML provides the following functionality:
  * Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded XML files and
    strings.
  * Data is stored in a linked-list tree structure, preserving the XML data
    hierarchy.
  * Supports arbitrary element names, attributes, and attribute values with
    no preset limits, just available memory.
  * Supports integer, real, opaque ("cdata"), and text data types in "leaf"
    nodes.
  * Functions for creating, indexing, and managing trees of data.
  * "Find" and "walk" functions for easily locating and navigating trees of
    data.
 .
  This package contains the Mini-XML development files.
 .

Package: libmxml1
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: small XML parsing library (runtime)
 Mini-XML is a small XML parsing library that you can use to read XML and
 XML-like data files in your application without requiring large non-standard
 libraries.
 .
 Mini-XML provides the following functionality:
  * Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded XML files and
    strings.
  * Data is stored in a linked-list tree structure, preserving the XML data
    hierarchy.
  * Supports arbitrary element names, attributes, and attribute values with
    no preset limits, just available memory.
  * Supports integer, real, opaque ("cdata"), and text data types in "leaf"
    nodes.
  * Functions for creating, indexing, and managing trees of data.
  * "Find" and "walk" functions for easily locating and navigating trees of
    data.
 .
 Mini-XML doesn't do validation or other types of processing on the data based
 upon schema files or other sources of definition information, nor does it
 support character entities other than those required by the XML specification.
 .
 This package contains the files necessary for running applications that
 use the Mini-XML library.
 .

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# These are used for cross-compiling and for saving the configure script
# from having to guess our platform (since we know it already)
DEB_HOST_GNU_TYPE   ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)

CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -Os
endif

config.status: configure $(QUILT_STAMPFN)
	dh_testdir

ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif

	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info \
		--enable-shared \
		CFLAGS="$(CFLAGS)" \
		LDFLAGS="-Wl,-z,defs"

build: build-stamp
build-stamp: config.status
	dh_testdir

	$(MAKE)

	touch $@

clean: 
	dh_testdir
	dh_testroot
	rm -f build-stamp

	[ ! -f Makefile ] || $(MAKE) distclean
	rm -f libmxml.so* mxmldoc
	rm -f config.sub config.guess

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	$(MAKE) BUILDROOT=$(CURDIR)/debian/tmp install

# Build architecture-independent files here.
binary-indep: build install

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs CHANGES
	dh_installdocs
	cp debian/mxml.man ./debian/tmp/usr/share/man/man3/mxml.3
	dh_install --sourcedir=debian/tmp
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## mxml 2.7

=== debian/changelog ===
mxml (2.7-1) experimental; urgency=low

  * New upstream release (Closes: #684783)
  * debian/control
    - Bump Standards-Version: 3.9.3 (No changes)
  * debian/compat
    - Update debhelper compat level to 9, needed to using dpkg-buildflags
  * debian/rules
    - Use dh tiny rules
  * patches/series
    - Add 03_link_ldflags.diff to add missing $(LDFLAGS) to Makefile
  * debian/copyright
    - Migrate to DEP-5 format

 -- Luis Uribe <acme@eviled.org>  Thu, 16 Aug 2012 21:12:59 -0500

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mxml
 Priority: optional
 Maintainer: Luis Uribe <acme@eviled.org>
-Build-Depends: debhelper (>= 5), quilt
-Standards-Version: 3.9.1
+Build-Depends: debhelper (>= 9)
+Standards-Version: 3.9.3
 Section: libs
 Homepage: http://www.minixml.org/

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@

override_dh_auto_configure:
	./configure \
		--host=$(DEB_HOST_GNU_TYPE) \
		--build=$(DEB_BUILD_GNU_TYPE) \
		--prefix=/usr \
		--mandir=\$${prefix}/share/man \
		--infodir=\$${prefix}/share/info

override_dh_auto_install:
	$(MAKE) BUILDROOT=$(CURDIR)/debian/tmp install
	cp debian/mxml.man ./debian/tmp/usr/share/man/man3/mxml.3

## mxml 2.9

=== debian/changelog ===
mxml (2.9-0ubuntu2) xenial; urgency=medium

  * Let the tests fail on error.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 18 Feb 2016 20:56:23 +0100

mxml (2.9-0ubuntu1) xenial; urgency=medium

  * New upstream version.
  * Multiarchify the library packages.
  * Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 16 Feb 2016 08:55:35 +0100

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
 Package: libmxml-dev
 Section: libdevel
 Architecture: any
+Multi-Arch: same
 Depends: libmxml1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
 Description: small XML parsing library (development)
  Mini-XML is a small XML parsing library that you can use to read XML and
@@ -33,6 +34,8 @@
 
 Package: libmxml1
 Architecture: any
+Multi-Arch: same
+Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Description: small XML parsing library (runtime)
  Mini-XML is a small XML parsing library that you can use to read XML and

=== debian/rules ===
--- 
+++ 
@@ -1,13 +1,14 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@
+	dh $@ --parallel
 
 override_dh_auto_configure:
-	./configure \
+	dh_auto_configure -- \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
+		--libdir=\$${prefix}/lib/$(DEB_HOST_MULTIARCH) \
 		--mandir=\$${prefix}/share/man \
 		--infodir=\$${prefix}/share/info

=== debian/watch ===
version=3
http://ftp.easysw.com/pub/mxml/([\d\.]+)/mxml-(.*)\.tar.gz

## mxml 2.10

=== debian/changelog ===
mxml (2.10-1) unstable; urgency=medium

  * New upstream release
  * Add Breaks/Replaces for mxmldoc breakage. Closes: #836847

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 14 Sep 2016 10:07:07 +0100

mxml (2.9-3) unstable; urgency=medium

  * Update watch file
  * Patch from doko to:
    - Multiarchify the library packages.
    -  Enable parallel builds
    - Let the tests fail on error.
    Closes: #835300

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 29 Aug 2016 11:54:39 +0100

mxml (2.9-2) unstable; urgency=medium

  * Missing second patch for recursion fix. Closes: #825855.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 11 Jun 2016 07:31:20 +0100

mxml (2.9-1) unstable; urgency=medium

  * New maintainer. Mark Luis Uribe as Uploader. Closes: #784865 
  * New upstream release
   - refreshed patches.
   - 04_minor_version.diff: correct minor version 8->9
  * Patch to fix security issues due to recursion in mxmlDelete. Closes: #825855.
    CVE-2016-4570
    CVE-2016-4571
  * Include updated debian/watch file
  * New Standards-Version: 3.9.8. No changes required

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 10 Jun 2016 10:51:01 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: mxml
 Priority: optional
-Maintainer: Luis Uribe <acme@eviled.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Uploaders: Luis Uribe <acme@eviled.org>
 Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.3
+Standards-Version: 3.9.8
 Section: libs
 Homepage: http://www.minixml.org/
 
@@ -32,11 +33,40 @@
   This package contains the Mini-XML development files.
  .
 
+Package: libmxml-bin
+Architecture: any
+Multi-Arch: foreign
+Depends:  ${misc:Depends}, ${shlibs:Depends}
+Recommends: libmxml-dev
+Breaks: libmxl-dev (<< 2.10-1)
+Replaces: libmxml-dev ( << 2.10-1)
+Description: small XML parsing library (binaries)
+ Mini-XML is a small XML parsing library that you can use to read XML and
+ XML-like data files in your application without requiring large non-standard
+ libraries.
+ .
+ Mini-XML provides the following functionality:
+  * Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded XML files and
+    strings.
+  * Data is stored in a linked-list tree structure, preserving the XML data
+    hierarchy.
+  * Supports arbitrary element names, attributes, and attribute values with
+    no preset limits, just available memory.
+  * Supports integer, real, opaque ("cdata"), and text data types in "leaf"
+    nodes.
+  * Functions for creating, indexing, and managing trees of data.
+  * "Find" and "walk" functions for easily locating and navigating trees of
+    data.
+ .
+  This package contains the Mini-XML development files.
+
+
 Package: libmxml1
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
+Recommends: libmxml-bin
 Description: small XML parsing library (runtime)
  Mini-XML is a small XML parsing library that you can use to read XML and
  XML-like data files in your application without requiring large non-standard

## mxml 2.11

=== debian/changelog ===
mxml (2.11-2) unstable; urgency=medium

  * Add VCS for mxml: salsa.d.o
  * Change homepage to HTTPS version
  * Standards-Version: 4.1.5
  * change README->README.md, add CHANGES.md to docs. Closes: #903335

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 09 Jul 2018 11:51:44 +0100

mxml (2.11-1) unstable; urgency=medium

  * New upstream release
  * 06_autoheader.patch now needed for autoreconf
  * 07_compile_fixes.patch needed to compile
  * Obsolete patch removed: 05_stack_recursion_fix.diff
  * Standards-Version: 4.1.3; no changes required
  * Cleanup rules - no dh_auto_configure clause now needed 

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 02 Mar 2018 16:37:10 +0000

mxml (2.10-2) unstable; urgency=medium

  * Fix watch file; project moved to github
  * Standards-Version: 4.0.0; no changes required
  * DH_COMPAT now 10

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 27 Jun 2017 12:02:11 +0100

=== debian/control ===
--- 
+++ 
@@ -2,10 +2,12 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Uploaders: Luis Uribe <acme@eviled.org>
-Build-Depends: debhelper (>= 9)
-Standards-Version: 3.9.8
+Build-Depends: debhelper (>= 10)
+Standards-Version: 4.1.5
 Section: libs
-Homepage: http://www.minixml.org/
+Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git
+Homepage: https://www.msweet.org/mxml/
 
 Package: libmxml-dev
 Section: libdevel

## mxml 2.12

=== debian/changelog ===
mxml (2.12-2) unstable; urgency=medium

  * CVE-2018-20004: patch from upstream. Closes: #918007
  * Standards-Version: 4.3.0.

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 02 Jan 2019 09:21:23 +0000

mxml (2.12-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.2.1
  * Remove Luis Uribe from the Uploaders list.
    Thanks for all the work, Luis!. Closes: #894007
  * Addpatch from Helmut Grohne for cross-building. Closes: #909354
  * Enable use of autoheader (disable check in configure) as we have a 
    patch for its problems.

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 06 Oct 2018 10:01:44 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: mxml
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Uploaders: Luis Uribe <acme@eviled.org>
 Build-Depends: debhelper (>= 10)
-Standards-Version: 4.1.5
+Standards-Version: 4.3.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git

## mxml 3.1

=== debian/changelog ===
mxml (3.1-1) unstable; urgency=medium

  * New upstream release
  * Drop duplicate Changelog

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 01 Sep 2019 17:55:28 +0100

mxml (3.0-1) unstable; urgency=medium

  * New upstream release
  * Patches now upstream: 
    - cve-2018-20004.patch
  * Update 07_compile_fixes.patch
  * Move to debhelper-compat (=12)
  * Standards-Version: 4.4.0
  * Drop -bin package, mxmldoc now codedoc
  * Disable man manpage generation: needs codedoc

 -- Alastair McKinstry <mckinstry@debian.org>  Thu, 22 Aug 2019 02:16:34 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: mxml
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper (>= 10)
-Standards-Version: 4.3.0
+Build-Depends: debhelper-compat (= 12)
+Standards-Version: 4.4.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git
@@ -12,7 +12,7 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmxml1 (= ${binary:Version}), ${shlibs:Depends}, ${misc:Depends}
+Depends: libmxml1 (= ${binary:Version}), ${misc:Depends}
 Description: small XML parsing library (development)
  Mini-XML is a small XML parsing library that you can use to read XML and
  XML-like data files in your application without requiring large non-standard
@@ -33,34 +33,6 @@
  .
   This package contains the Mini-XML development files.
  .
-
-Package: libmxml-bin
-Architecture: any
-Multi-Arch: foreign
-Depends:  ${misc:Depends}, ${shlibs:Depends}
-Recommends: libmxml-dev
-Breaks: libmxl-dev (<< 2.10-1)
-Replaces: libmxml-dev ( << 2.10-1)
-Description: small XML parsing library (binaries)
- Mini-XML is a small XML parsing library that you can use to read XML and
- XML-like data files in your application without requiring large non-standard
- libraries.
- .
- Mini-XML provides the following functionality:
-  * Reading of UTF-8 and UTF-16 and writing of UTF-8 encoded XML files and
-    strings.
-  * Data is stored in a linked-list tree structure, preserving the XML data
-    hierarchy.
-  * Supports arbitrary element names, attributes, and attribute values with
-    no preset limits, just available memory.
-  * Supports integer, real, opaque ("cdata"), and text data types in "leaf"
-    nodes.
-  * Functions for creating, indexing, and managing trees of data.
-  * "Find" and "walk" functions for easily locating and navigating trees of
-    data.
- .
-  This package contains the Mini-XML development files.
-
 
 Package: libmxml1
 Architecture: any

## mxml 3.2

=== debian/changelog ===
mxml (3.2-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.5.0
  * Move to debhelper-compat = 13
  * Add d/gbp.conf to show DEP-14 branch names
  * Change VCS-Git in d/control to debian/latest branch

 -- Alastair McKinstry <mckinstry@debian.org>  Tue, 13 Oct 2020 14:21:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,11 @@
 Source: mxml
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
-Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.4.0
+Build-Depends: debhelper-compat (= 13)
+Standards-Version: 4.5.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git
+Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git -b debian/latest
 Homepage: https://www.msweet.org/mxml/
 
 Package: libmxml-dev

## mxml 3.3

=== debian/changelog ===
mxml (3.3-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.0

 -- Alastair McKinstry <mckinstry@debian.org>  Wed, 10 Nov 2021 08:10:54 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Priority: optional
 Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git -b debian/latest

## mxml 3.3.1

=== debian/changelog ===
mxml (3.3.1-1build1) noble; urgency=high

  * No change rebuild for frame pointers (and time_t).

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 18 Apr 2024 19:58:00 +0200

mxml (3.3.1-1) unstable; urgency=medium

  * New upstream release
  * Standards-Version: 4.6.1

 -- Alastair McKinstry <mckinstry@debian.org>  Fri, 29 Jul 2022 09:04:42 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: mxml
 Priority: optional
-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Section: libs
 Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
 Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git -b debian/latest

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_install:
	$(MAKE) BUILDROOT=$(CURDIR)/debian/tmp install
	cp debian/mxml.man ./debian/tmp/usr/share/man/man3/mxml.3

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/(\d\S+)\.tar\.gz/$1\.tar\.gz/ \
  https://github.com/michaelrsweet/mxml/tags .*/v?(\d\S+)\.tar\.gz

## mxml 4.0.4

=== debian/changelog ===
mxml (4.0.4-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.2
  * Rules-Requires-Root: no
  * Enable build-twice-in-a-row: cleanup
  * Install all docs from libmxml-dev.docs

 -- Alastair McKinstry <mckinstry@debian.org>  Mon, 10 Mar 2025 10:34:09 +0000

mxml (4.0.3-1) experimental; urgency=medium

  * New upstream release
  * Standards-Version: 4.7.0; no changes required
  * Close old bugs. Closes: #929748
  * Drop obsolete Recommends n libmxml-bin. Closes: #938990
  * Fix from Helmut Grohne for cross-build. Closes: #935740

 -- Alastair McKinstry <mckinstry@debian.org>  Sun, 28 Apr 2024 10:31:06 +0100

mxml (4.0.1-1) experimental; urgency=medium

  * New upstream release: Not libmxml1 -> libmxml4
  * Update patches
  * Standards-Version: 4.6.2
  * Fix typos in VCS urls in d/control

 -- Alastair McKinstry <mckinstry@debian.org>  Sat, 30 Mar 2024 11:25:14 +0000

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: mxml
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alastair McKinstry <mckinstry@debian.org>
+Maintainer: Alastair McKinstry <mckinstry@debian.org>
 Build-Depends: debhelper-compat (= 13)
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
+Rules-Requires-Root: no
 Section: libs
-Vcs-Browser: https://salsa.debian.org:/mckinstry/mxml.git
-Vcs-Git: https://salsa.debian.org:/mckinstry/mxml.git -b debian/latest
+Vcs-Browser: https://salsa.debian.org/mckinstry/mxml.git
+Vcs-Git: https://salsa.debian.org/mckinstry/mxml.git -b debian/latest
 Homepage: https://www.msweet.org/mxml/
 
 Package: libmxml-dev
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libmxml1 (= ${binary:Version}), ${misc:Depends}
+Depends: libmxml4 (= ${binary:Version}), ${misc:Depends}
 Description: small XML parsing library (development)
  Mini-XML is a small XML parsing library that you can use to read XML and
  XML-like data files in your application without requiring large non-standard
@@ -35,12 +35,11 @@
   This package contains the Mini-XML development files.
  .
 
-Package: libmxml1
+Package: libmxml4
 Architecture: any
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: libmxml-bin
 Description: small XML parsing library (runtime)
  Mini-XML is a small XML parsing library that you can use to read XML and
  XML-like data files in your application without requiring large non-standard

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ 

override_dh_auto_clean:
	dh_auto_clean
	rm -f mxml4.pc

override_dh_auto_install:
	$(MAKE) BUILDROOT=$(CURDIR)/debian/tmp install
	cp debian/mxml.man ./debian/tmp/usr/share/man/man3/mxml.3
